/*
 *  Author: David Huynh
 *  Copyright 2007 __MyCompanyName__. All rights reserved.
 */

using System;
using System.Collections.Generic;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Content;
using Microsoft.Xna.Framework.Graphics;
using FarseerGames.FarseerPhysics;
using FarseerGames.FarseerPhysics.Dynamics;
using FarseerGames.FarseerPhysics.Collisions;
using SedohrProcessorLib;

using rhodes.engine;
using rhodes.graphics;
using rhodes.physics;

namespace sedohr.objects
{
    /*! Reads & process simple entities */
    class CompoundObjectReader : ContentTypeReader<CompoundObject>
    {
        protected override CompoundObject Read(ContentReader input, CompoundObject existingInstance)
        {
            //CompoundObject ret = new CompoundObject(input.ReadString());
            String name = input.ReadString();
            CompoundEntity compuond = EntityManager.getSingleton.loadCompound(input.ReadString());
            Dictionary<String, int> tension = input.ReadObject<Dictionary<String, int>>();
            Dictionary<String, int> health = input.ReadObject<Dictionary<String, int>>();

            Console.Out.WriteLine("ljasdlfjaslkfjlksajfljsafljafja");
            return new CompoundObject(name, compuond, tension, health);
        }
    }
}