/*
 *  Author: David Huynh
 *  Copyright 2007 __MyCompanyName__. All rights reserved.
 */

using System;
using System.Collections.Generic;
using Microsoft.Xna.Framework;

namespace RhodesProcessorLib
{
    /*! Custom content compiled for CompoundEntity */
    class CompoundEntityCompiled
    {
        String _name;
        Boolean _active;
        List<String> _entities;
        List<JointInfo> _revoluteJoints;
        List<JointInfo> _angleJoints;

        public CompoundEntityCompiled()
        {
            _entities = new List<String>();
            _revoluteJoints = new List<JointInfo>();
            _angleJoints = new List<JointInfo>();
        }

        public String Name { get { return _name; } set { _name = value; } }
        public Boolean Active { get { return _active; } set { _active = value; } }
        public List<String> Entities { get { return _entities; } set { _entities = value; } }
        public List<JointInfo> RevoluteJoints { get { return _revoluteJoints; } set { _revoluteJoints = value; } }
        public List<JointInfo> AngleJoints { get { return _angleJoints; } set { _angleJoints = value; } }
    }
}
