/*
 *  Author: David Huynh
 *  Copyright 2007 __MyCompanyName__. All rights reserved.
 */

using System;
using System.Collections.Generic;
using Microsoft.Xna.Framework.Content.Pipeline;
using System.Xml;

namespace RhodesProcessorLib
{
    /*! Custom content source for CompoundEntity */
    class CompoundEntitySource
    {
        private string _name;
        private XmlDocument _xml;

        public CompoundEntitySource(string name, XmlDocument xml)
        {
            _name = name;
            _xml = xml;
        }

        public string Name { get { return _name; } }
        public XmlDocument Xml { get { return _xml; } }
    }
}
