/*
 *  Author: David Huynh
 *  Copyright 2007 __MyCompanyName__. All rights reserved.
 */

using System;
using System.Collections.Generic;
using Microsoft.Xna.Framework.Content.Pipeline;
using System.Xml;

namespace RhodesProcessorLib
{
    /*! Custom content importer for Particle */
    [ContentImporter(".particle", DefaultProcessor = "ParticleProcessor")]
    class ParticleImporter : ContentImporter<ParticleSource>
    {
        public override ParticleSource Import(string filename, ContentImporterContext context)
        {
            XmlDocument xml = new XmlDocument();
            xml.Load(filename);
            return new ParticleSource(filename, xml);
        }
    }
}
