using System;
using System.Collections.Generic;
using Microsoft.Xna.Framework.Content.Pipeline;
using System.Xml;

namespace SedohrProcessorLib
{
    /*! Custom content importer for Level */
    [ContentImporter(".compound-object", DefaultProcessor = "CompoundObjectProcessor")]
    class CompoundObjectImporter : ContentImporter<CompoundObjectSource>
    {
        public override CompoundObjectSource Import(string filename, ContentImporterContext context)
        {
            XmlDocument xml = new XmlDocument();
            xml.Load(filename);
            return new CompoundObjectSource(filename, xml);
        }
    }
}
