using System;
using System.Collections.Generic;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Audio;
using Microsoft.Xna.Framework.Content;
using Microsoft.Xna.Framework.Graphics;
using Microsoft.Xna.Framework.Input;
using Microsoft.Xna.Framework.Storage;

namespace SpriteMapProcessorLib
{
    class SpriteMapCompiled
    {
        private string _diffuse, _normal;
        private short _width, _height;
        private int _frameCount;        
        private List<Point> _frames;

        private Dictionary<String,Point> _animations;

        public string Diffuse { get { return _diffuse; } set { _diffuse = value; } }
        public string Normal { get { return _normal; } set { _normal = value; } }
        public short Width { get { return _width; } set { _width = value; } }
        public short Height { get { return _height; } set { _height = value; } }
        public int FrameCount { get { return _frameCount; } set { _frameCount = value; } }

        public List<Point> Frames { get { return _frames; } set { _frames = value; } }
        public Dictionary<String, Point> Animations { get { return _animations; } set { _animations = value; } }
    }
}
