using System;
using System.Collections.Generic;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Content;
using Microsoft.Xna.Framework.Graphics;
using FarseerGames.FarseerPhysics;
using FarseerGames.FarseerPhysics.Dynamics;
using FarseerGames.FarseerPhysics.Collisions;
using SedohrProcessorLib;

using rhodes.engine;
using rhodes.graphics;
using rhodes.physics;

namespace sedohr
{
    /*! Reads & process simple entities */
	/*! Author: David Huynh */
    class LevelReader: ContentTypeReader<Level>
    {
        protected override Level Read(ContentReader input, Level existingInstance)
        {
            Level ret = new Level();

            ret.LayerInfo = input.ReadObject<List<LayerInfo>>();

            return ret;
        }
    }
}
