/*
 *  Author: Josh Wilson
 *  Copyright 2007 __MyCompanyName__. All rights reserved.
 */

using System;
using System.Collections.Generic;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Audio;
using Microsoft.Xna.Framework.Content;
using Microsoft.Xna.Framework.Graphics;
using Microsoft.Xna.Framework.Input;
using Microsoft.Xna.Framework.Storage;

using rhodes.graphics;

namespace sedohr
{
	class LoadGameState : GameState
	{
        /// <summary>
        /// Load Game State Constructor
        /// </summary>
        /// <param name="parent">Instance of the GameStaetManager</param>
		public LoadGameState(GameStateManager parent)
			: base(parent)
		{
	
		}

        /// <summary>
        /// Loads the Load Game State
        /// </summary>
		public override void load()
		{
		
		}

        /// <summary>
        /// Unloads the Load Game State
        /// </summary>
		public override void unload()
		{

		}

        /// <summary>
        /// Renders the Load Game State
        /// </summary>
		public override void run()
		{

		}

        /// <summary>
        /// Enters the Load Game State
        /// </summary>
		public override void enter()
		{

		}

        /// <summary>
        /// Exits the Load Game State
        /// </summary>
		public override void exit()
		{
		
		}

        /// <summary>
        /// Pauses the Load Game State
        /// </summary>
        /// <returns></returns>
		public override bool pause()
		{
			_pause = true;

			return true;
		}

        /// <summary>
        /// Resumes the Load Game State
        /// </summary>
		public override void resume()
		{
			_pause = false;		
		}

        /// <summary>
        /// Updates the Load Game State
        /// </summary>
        /// <param name="gameTime">Snapshot of the game timing state</param>
		public override void update(GameTime gameTime)
		{
			if (_pause)
				return;
		}

        /// <summary>
        /// Shuts down the Load Game State
        /// </summary>
		public override void shutdown()
		{

		}
	}
}
