using System;

namespace sedohr
{
	/// <summary>
	/// Starts the program.
	/// Author: Robert Yates
	/// </summary>
	static class Program
	{
		/// <summary>
		/// The main entry point for the application.
		/// </summary>
		/// <param name="args">The command line arguments. (Not used)</param>
		static void Main(string[] args)
		{
			using (SedohrGame game = new SedohrGame())
			{
				game.Run();
			}
		}
	}
}

